# nthroot

Real nth root of real numbers

## Calling Sequence

    y=nthroot(x,n)

## Arguments

x

  real scalar or vector/matrix

n

  real scalar or vector/matrix

## Description

`nthroot(x,n)` is the real vector/matrix of the nth root of the `x` elements. If `x` has negative elements, `n` must be odd.

If `n` is not a scalar, then the function proceeds elementwise.

## Examples

    nthroot(2, 3)
    nthroot(-2, 3)
    nthroot(-2, -3)
    nthroot(2, -3)
    nthroot([27 27], 3)
    nthroot([27 256], [3 4])
    nthroot([27 256; 3125 46656], [3 4; 5 6])

## See Also

- hat
- sqrt
- sqrtm